CLASS TEMPLA(3)

NAME
boost::date_time::dst_day_calc_rule - Defines base interface for calculating start and end date of daylight savings.

SYNOPSIS

// In header: <boost/date_time/dst_transition_generators.hpp>
template<typename date_type>
class dst_day_calc_rule {
public:
  // types
  typedef date_type::year_type year_type;
  // construct/copy/destruct
  ~dst_day_calc_rule();
  // public member functions
  date_type start_day(year_type) const;
  std::string start_rule_as_string() const;
  date_type end_day(year_type) const;
  std::string end_rule_as_string() const;
};

DESCRIPTION

  dst_day_calc_rule public construct/copy/destruct

    1.

    ~dst_day_calc_rule();

  dst_day_calc_rule public member functions

    1.

    date_type start_day(year_type y) const;

    2.

    std::string start_rule_as_string() const;

    3.

    date_type end_day(year_type y) const;

    4.

    std::string end_rule_as_string() const;